/*
 * Copyright (c) 2020, Peter Abeles. All Rights Reserved.
 *
 * This file is part of BoofCV (http://boofcv.org).
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package boofcv.abst.geo.selfcalib;

import boofcv.alg.geo.selfcalib.SelfCalibrationEssentialGuessAndCheck;

/**
 * @author Peter Abeles
 */
class TestProjectiveToMetricCameraEssentialGuessAndCheck extends CommonProjectiveToMetricCamerasChecks {
	@Override
	public ProjectiveToMetricCameras createEstimator() {
		var alg = new SelfCalibrationEssentialGuessAndCheck();
		alg.fixedFocus = false;
		alg.numberOfSamples = 200;
		alg.configure(0.3,2.5);
		return new ProjectiveToMetricCameraEssentialGuessAndCheck(alg);
	}

	@Override
	public void real_world_case0() {
		// skip this test since there doesn't seem to be a good way to fix it. Internally it only uses two views
		// for everything and this seems to require 3 views to get a decent triangulation. Manually switched
		// to using the 3rd view and it didn't fix the problem
	}
}
